## org.eclipse.datatools.modelbase.sql.accesscontrol.provider
Class SQLAccessControlItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.accesscontrol.util.SQLAccessControlAdapterFactory
              org.eclipse.datatools.modelbase.sql.accesscontrol.provider.SQLAccessControlItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

    public class SQLAccessControlItemProviderAdapterFactory

extends SQLAccessControlAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLAccessControlItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createGroupAdapter()` This creates an adapter for a `Group`.
`org.eclipse.emf.common.notify.Adapter` `createPrivilegeAdapter()` This creates an adapter for a `Privilege`.
`org.eclipse.emf.common.notify.Adapter` `createRoleAdapter()` This creates an adapter for a `Role`.
`org.eclipse.emf.common.notify.Adapter` `createRoleAuthorizationAdapter()` This creates an adapter for a `RoleAuthorization`.
`org.eclipse.emf.common.notify.Adapter` `createUserAdapter()` This creates an adapter for a `User`.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.accesscontrol.util.SQLAccessControlAdapterFactory
`createAdapter, createAuthorizationIdentifierAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createSQLObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### SQLAccessControlItemProviderAdapterFactory

    public SQLAccessControlItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createPrivilegeAdapter

    public org.eclipse.emf.common.notify.Adapter createPrivilegeAdapter()

  This creates an adapter for a `Privilege`.

  Overrides:
    `createPrivilegeAdapter` in class `SQLAccessControlAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Privilege`

### createGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupAdapter()

  This creates an adapter for a `Group`.

  Overrides:
    `createGroupAdapter` in class `SQLAccessControlAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Group`

### createUserAdapter

    public org.eclipse.emf.common.notify.Adapter createUserAdapter()

  This creates an adapter for a `User`.

  Overrides:
    `createUserAdapter` in class `SQLAccessControlAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `User`

### createRoleAdapter

    public org.eclipse.emf.common.notify.Adapter createRoleAdapter()

  This creates an adapter for a `Role`.

  Overrides:
    `createRoleAdapter` in class `SQLAccessControlAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Role`

### createRoleAuthorizationAdapter

    public org.eclipse.emf.common.notify.Adapter createRoleAuthorizationAdapter()

  This creates an adapter for a `RoleAuthorization`.

  Overrides:
    `createRoleAuthorizationAdapter` in class `SQLAccessControlAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RoleAuthorization`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SQLAccessControlAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`